diff --git a/config/rootfiles/packages/python-distutils b/config/rootfiles/packages/python-distutils
deleted file mode 100644
index 3c04b899f..000000000
--- a/config/rootfiles/packages/python-distutils
+++ /dev/null
@@ -1,293 +0,0 @@
-#usr/lib/python2.7/distutils
-#usr/lib/python2.7/distutils/README
-usr/lib/python2.7/distutils/__init__.py
-usr/lib/python2.7/distutils/__init__.pyc
-#usr/lib/python2.7/distutils/__init__.pyo
-usr/lib/python2.7/distutils/archive_util.py
-usr/lib/python2.7/distutils/archive_util.pyc
-#usr/lib/python2.7/distutils/archive_util.pyo
-usr/lib/python2.7/distutils/bcppcompiler.py
-usr/lib/python2.7/distutils/bcppcompiler.pyc
-#usr/lib/python2.7/distutils/bcppcompiler.pyo
-usr/lib/python2.7/distutils/ccompiler.py
-usr/lib/python2.7/distutils/ccompiler.pyc
-#usr/lib/python2.7/distutils/ccompiler.pyo
-usr/lib/python2.7/distutils/cmd.py
-usr/lib/python2.7/distutils/cmd.pyc
-#usr/lib/python2.7/distutils/cmd.pyo
-#usr/lib/python2.7/distutils/command
-usr/lib/python2.7/distutils/command/__init__.py
-usr/lib/python2.7/distutils/command/__init__.pyc
-#usr/lib/python2.7/distutils/command/__init__.pyo
-usr/lib/python2.7/distutils/command/bdist.py
-usr/lib/python2.7/distutils/command/bdist.pyc
-#usr/lib/python2.7/distutils/command/bdist.pyo
-usr/lib/python2.7/distutils/command/bdist_dumb.py
-usr/lib/python2.7/distutils/command/bdist_dumb.pyc
-#usr/lib/python2.7/distutils/command/bdist_dumb.pyo
-usr/lib/python2.7/distutils/command/bdist_msi.py
-usr/lib/python2.7/distutils/command/bdist_msi.pyc
-#usr/lib/python2.7/distutils/command/bdist_msi.pyo
-usr/lib/python2.7/distutils/command/bdist_rpm.py
-usr/lib/python2.7/distutils/command/bdist_rpm.pyc
-#usr/lib/python2.7/distutils/command/bdist_rpm.pyo
-usr/lib/python2.7/distutils/command/bdist_wininst.py
-usr/lib/python2.7/distutils/command/bdist_wininst.pyc
-#usr/lib/python2.7/distutils/command/bdist_wininst.pyo
-usr/lib/python2.7/distutils/command/build.py
-usr/lib/python2.7/distutils/command/build.pyc
-#usr/lib/python2.7/distutils/command/build.pyo
-usr/lib/python2.7/distutils/command/build_clib.py
-usr/lib/python2.7/distutils/command/build_clib.pyc
-#usr/lib/python2.7/distutils/command/build_clib.pyo
-usr/lib/python2.7/distutils/command/build_ext.py
-usr/lib/python2.7/distutils/command/build_ext.pyc
-#usr/lib/python2.7/distutils/command/build_ext.pyo
-usr/lib/python2.7/distutils/command/build_py.py
-usr/lib/python2.7/distutils/command/build_py.pyc
-#usr/lib/python2.7/distutils/command/build_py.pyo
-usr/lib/python2.7/distutils/command/build_scripts.py
-usr/lib/python2.7/distutils/command/build_scripts.pyc
-#usr/lib/python2.7/distutils/command/build_scripts.pyo
-usr/lib/python2.7/distutils/command/check.py
-usr/lib/python2.7/distutils/command/check.pyc
-#usr/lib/python2.7/distutils/command/check.pyo
-usr/lib/python2.7/distutils/command/clean.py
-usr/lib/python2.7/distutils/command/clean.pyc
-#usr/lib/python2.7/distutils/command/clean.pyo
-#usr/lib/python2.7/distutils/command/command_template
-usr/lib/python2.7/distutils/command/config.py
-usr/lib/python2.7/distutils/command/config.pyc
-#usr/lib/python2.7/distutils/command/config.pyo
-usr/lib/python2.7/distutils/command/install.py
-usr/lib/python2.7/distutils/command/install.pyc
-#usr/lib/python2.7/distutils/command/install.pyo
-usr/lib/python2.7/distutils/command/install_data.py
-usr/lib/python2.7/distutils/command/install_data.pyc
-#usr/lib/python2.7/distutils/command/install_data.pyo
-usr/lib/python2.7/distutils/command/install_egg_info.py
-usr/lib/python2.7/distutils/command/install_egg_info.pyc
-#usr/lib/python2.7/distutils/command/install_egg_info.pyo
-usr/lib/python2.7/distutils/command/install_headers.py
-usr/lib/python2.7/distutils/command/install_headers.pyc
-#usr/lib/python2.7/distutils/command/install_headers.pyo
-usr/lib/python2.7/distutils/command/install_lib.py
-usr/lib/python2.7/distutils/command/install_lib.pyc
-#usr/lib/python2.7/distutils/command/install_lib.pyo
-usr/lib/python2.7/distutils/command/install_scripts.py
-usr/lib/python2.7/distutils/command/install_scripts.pyc
-#usr/lib/python2.7/distutils/command/install_scripts.pyo
-usr/lib/python2.7/distutils/command/register.py
-usr/lib/python2.7/distutils/command/register.pyc
-#usr/lib/python2.7/distutils/command/register.pyo
-usr/lib/python2.7/distutils/command/sdist.py
-usr/lib/python2.7/distutils/command/sdist.pyc
-#usr/lib/python2.7/distutils/command/sdist.pyo
-usr/lib/python2.7/distutils/command/upload.py
-usr/lib/python2.7/distutils/command/upload.pyc
-#usr/lib/python2.7/distutils/command/upload.pyo
-usr/lib/python2.7/distutils/command/wininst-6.0.exe
-usr/lib/python2.7/distutils/command/wininst-7.1.exe
-usr/lib/python2.7/distutils/command/wininst-8.0.exe
-usr/lib/python2.7/distutils/command/wininst-9.0-amd64.exe
-usr/lib/python2.7/distutils/command/wininst-9.0.exe
-usr/lib/python2.7/distutils/config.py
-usr/lib/python2.7/distutils/config.pyc
-#usr/lib/python2.7/distutils/config.pyo
-usr/lib/python2.7/distutils/core.py
-usr/lib/python2.7/distutils/core.pyc
-#usr/lib/python2.7/distutils/core.pyo
-usr/lib/python2.7/distutils/cygwinccompiler.py
-usr/lib/python2.7/distutils/cygwinccompiler.pyc
-#usr/lib/python2.7/distutils/cygwinccompiler.pyo
-usr/lib/python2.7/distutils/debug.py
-usr/lib/python2.7/distutils/debug.pyc
-#usr/lib/python2.7/distutils/debug.pyo
-usr/lib/python2.7/distutils/dep_util.py
-usr/lib/python2.7/distutils/dep_util.pyc
-#usr/lib/python2.7/distutils/dep_util.pyo
-usr/lib/python2.7/distutils/dir_util.py
-usr/lib/python2.7/distutils/dir_util.pyc
-#usr/lib/python2.7/distutils/dir_util.pyo
-usr/lib/python2.7/distutils/dist.py
-usr/lib/python2.7/distutils/dist.pyc
-#usr/lib/python2.7/distutils/dist.pyo
-usr/lib/python2.7/distutils/emxccompiler.py
-usr/lib/python2.7/distutils/emxccompiler.pyc
-#usr/lib/python2.7/distutils/emxccompiler.pyo
-usr/lib/python2.7/distutils/errors.py
-usr/lib/python2.7/distutils/errors.pyc
-#usr/lib/python2.7/distutils/errors.pyo
-usr/lib/python2.7/distutils/extension.py
-usr/lib/python2.7/distutils/extension.pyc
-#usr/lib/python2.7/distutils/extension.pyo
-usr/lib/python2.7/distutils/fancy_getopt.py
-usr/lib/python2.7/distutils/fancy_getopt.pyc
-#usr/lib/python2.7/distutils/fancy_getopt.pyo
-usr/lib/python2.7/distutils/file_util.py
-usr/lib/python2.7/distutils/file_util.pyc
-#usr/lib/python2.7/distutils/file_util.pyo
-usr/lib/python2.7/distutils/filelist.py
-usr/lib/python2.7/distutils/filelist.pyc
-#usr/lib/python2.7/distutils/filelist.pyo
-usr/lib/python2.7/distutils/log.py
-usr/lib/python2.7/distutils/log.pyc
-#usr/lib/python2.7/distutils/log.pyo
-usr/lib/python2.7/distutils/msvc9compiler.py
-usr/lib/python2.7/distutils/msvc9compiler.pyc
-#usr/lib/python2.7/distutils/msvc9compiler.pyo
-usr/lib/python2.7/distutils/msvccompiler.py
-usr/lib/python2.7/distutils/msvccompiler.pyc
-#usr/lib/python2.7/distutils/msvccompiler.pyo
-usr/lib/python2.7/distutils/spawn.py
-usr/lib/python2.7/distutils/spawn.pyc
-#usr/lib/python2.7/distutils/spawn.pyo
-usr/lib/python2.7/distutils/sysconfig.py
-usr/lib/python2.7/distutils/sysconfig.pyc
-#usr/lib/python2.7/distutils/sysconfig.pyo
-#usr/lib/python2.7/distutils/tests
-#usr/lib/python2.7/distutils/tests/Setup.sample
-#usr/lib/python2.7/distutils/tests/__init__.py
-#usr/lib/python2.7/distutils/tests/__init__.pyc
-#usr/lib/python2.7/distutils/tests/__init__.pyo
-#usr/lib/python2.7/distutils/tests/setuptools_build_ext.py
-#usr/lib/python2.7/distutils/tests/setuptools_build_ext.pyc
-#usr/lib/python2.7/distutils/tests/setuptools_build_ext.pyo
-#usr/lib/python2.7/distutils/tests/setuptools_extension.py
-#usr/lib/python2.7/distutils/tests/setuptools_extension.pyc
-#usr/lib/python2.7/distutils/tests/setuptools_extension.pyo
-#usr/lib/python2.7/distutils/tests/support.py
-#usr/lib/python2.7/distutils/tests/support.pyc
-#usr/lib/python2.7/distutils/tests/support.pyo
-#usr/lib/python2.7/distutils/tests/test_archive_util.py
-#usr/lib/python2.7/distutils/tests/test_archive_util.pyc
-#usr/lib/python2.7/distutils/tests/test_archive_util.pyo
-#usr/lib/python2.7/distutils/tests/test_bdist.py
-#usr/lib/python2.7/distutils/tests/test_bdist.pyc
-#usr/lib/python2.7/distutils/tests/test_bdist.pyo
-#usr/lib/python2.7/distutils/tests/test_bdist_dumb.py
-#usr/lib/python2.7/distutils/tests/test_bdist_dumb.pyc
-#usr/lib/python2.7/distutils/tests/test_bdist_dumb.pyo
-#usr/lib/python2.7/distutils/tests/test_bdist_msi.py
-#usr/lib/python2.7/distutils/tests/test_bdist_msi.pyc
-#usr/lib/python2.7/distutils/tests/test_bdist_msi.pyo
-#usr/lib/python2.7/distutils/tests/test_bdist_rpm.py
-#usr/lib/python2.7/distutils/tests/test_bdist_rpm.pyc
-#usr/lib/python2.7/distutils/tests/test_bdist_rpm.pyo
-#usr/lib/python2.7/distutils/tests/test_bdist_wininst.py
-#usr/lib/python2.7/distutils/tests/test_bdist_wininst.pyc
-#usr/lib/python2.7/distutils/tests/test_bdist_wininst.pyo
-#usr/lib/python2.7/distutils/tests/test_build.py
-#usr/lib/python2.7/distutils/tests/test_build.pyc
-#usr/lib/python2.7/distutils/tests/test_build.pyo
-#usr/lib/python2.7/distutils/tests/test_build_clib.py
-#usr/lib/python2.7/distutils/tests/test_build_clib.pyc
-#usr/lib/python2.7/distutils/tests/test_build_clib.pyo
-#usr/lib/python2.7/distutils/tests/test_build_ext.py
-#usr/lib/python2.7/distutils/tests/test_build_ext.pyc
-#usr/lib/python2.7/distutils/tests/test_build_ext.pyo
-#usr/lib/python2.7/distutils/tests/test_build_py.py
-#usr/lib/python2.7/distutils/tests/test_build_py.pyc
-#usr/lib/python2.7/distutils/tests/test_build_py.pyo
-#usr/lib/python2.7/distutils/tests/test_build_scripts.py
-#usr/lib/python2.7/distutils/tests/test_build_scripts.pyc
-#usr/lib/python2.7/distutils/tests/test_build_scripts.pyo
-#usr/lib/python2.7/distutils/tests/test_ccompiler.py
-#usr/lib/python2.7/distutils/tests/test_ccompiler.pyc
-#usr/lib/python2.7/distutils/tests/test_ccompiler.pyo
-#usr/lib/python2.7/distutils/tests/test_check.py
-#usr/lib/python2.7/distutils/tests/test_check.pyc
-#usr/lib/python2.7/distutils/tests/test_check.pyo
-#usr/lib/python2.7/distutils/tests/test_clean.py
-#usr/lib/python2.7/distutils/tests/test_clean.pyc
-#usr/lib/python2.7/distutils/tests/test_clean.pyo
-#usr/lib/python2.7/distutils/tests/test_cmd.py
-#usr/lib/python2.7/distutils/tests/test_cmd.pyc
-#usr/lib/python2.7/distutils/tests/test_cmd.pyo
-#usr/lib/python2.7/distutils/tests/test_config.py
-#usr/lib/python2.7/distutils/tests/test_config.pyc
-#usr/lib/python2.7/distutils/tests/test_config.pyo
-#usr/lib/python2.7/distutils/tests/test_config_cmd.py
-#usr/lib/python2.7/distutils/tests/test_config_cmd.pyc
-#usr/lib/python2.7/distutils/tests/test_config_cmd.pyo
-#usr/lib/python2.7/distutils/tests/test_core.py
-#usr/lib/python2.7/distutils/tests/test_core.pyc
-#usr/lib/python2.7/distutils/tests/test_core.pyo
-#usr/lib/python2.7/distutils/tests/test_dep_util.py
-#usr/lib/python2.7/distutils/tests/test_dep_util.pyc
-#usr/lib/python2.7/distutils/tests/test_dep_util.pyo
-#usr/lib/python2.7/distutils/tests/test_dir_util.py
-#usr/lib/python2.7/distutils/tests/test_dir_util.pyc
-#usr/lib/python2.7/distutils/tests/test_dir_util.pyo
-#usr/lib/python2.7/distutils/tests/test_dist.py
-#usr/lib/python2.7/distutils/tests/test_dist.pyc
-#usr/lib/python2.7/distutils/tests/test_dist.pyo
-#usr/lib/python2.7/distutils/tests/test_file_util.py
-#usr/lib/python2.7/distutils/tests/test_file_util.pyc
-#usr/lib/python2.7/distutils/tests/test_file_util.pyo
-#usr/lib/python2.7/distutils/tests/test_filelist.py
-#usr/lib/python2.7/distutils/tests/test_filelist.pyc
-#usr/lib/python2.7/distutils/tests/test_filelist.pyo
-#usr/lib/python2.7/distutils/tests/test_install.py
-#usr/lib/python2.7/distutils/tests/test_install.pyc
-#usr/lib/python2.7/distutils/tests/test_install.pyo
-#usr/lib/python2.7/distutils/tests/test_install_data.py
-#usr/lib/python2.7/distutils/tests/test_install_data.pyc
-#usr/lib/python2.7/distutils/tests/test_install_data.pyo
-#usr/lib/python2.7/distutils/tests/test_install_headers.py
-#usr/lib/python2.7/distutils/tests/test_install_headers.pyc
-#usr/lib/python2.7/distutils/tests/test_install_headers.pyo
-#usr/lib/python2.7/distutils/tests/test_install_lib.py
-#usr/lib/python2.7/distutils/tests/test_install_lib.pyc
-#usr/lib/python2.7/distutils/tests/test_install_lib.pyo
-#usr/lib/python2.7/distutils/tests/test_install_scripts.py
-#usr/lib/python2.7/distutils/tests/test_install_scripts.pyc
-#usr/lib/python2.7/distutils/tests/test_install_scripts.pyo
-#usr/lib/python2.7/distutils/tests/test_msvc9compiler.py
-#usr/lib/python2.7/distutils/tests/test_msvc9compiler.pyc
-#usr/lib/python2.7/distutils/tests/test_msvc9compiler.pyo
-#usr/lib/python2.7/distutils/tests/test_register.py
-#usr/lib/python2.7/distutils/tests/test_register.pyc
-#usr/lib/python2.7/distutils/tests/test_register.pyo
-#usr/lib/python2.7/distutils/tests/test_sdist.py
-#usr/lib/python2.7/distutils/tests/test_sdist.pyc
-#usr/lib/python2.7/distutils/tests/test_sdist.pyo
-#usr/lib/python2.7/distutils/tests/test_spawn.py
-#usr/lib/python2.7/distutils/tests/test_spawn.pyc
-#usr/lib/python2.7/distutils/tests/test_spawn.pyo
-#usr/lib/python2.7/distutils/tests/test_sysconfig.py
-#usr/lib/python2.7/distutils/tests/test_sysconfig.pyc
-#usr/lib/python2.7/distutils/tests/test_sysconfig.pyo
-#usr/lib/python2.7/distutils/tests/test_text_file.py
-#usr/lib/python2.7/distutils/tests/test_text_file.pyc
-#usr/lib/python2.7/distutils/tests/test_text_file.pyo
-#usr/lib/python2.7/distutils/tests/test_unixccompiler.py
-#usr/lib/python2.7/distutils/tests/test_unixccompiler.pyc
-#usr/lib/python2.7/distutils/tests/test_unixccompiler.pyo
-#usr/lib/python2.7/distutils/tests/test_upload.py
-#usr/lib/python2.7/distutils/tests/test_upload.pyc
-#usr/lib/python2.7/distutils/tests/test_upload.pyo
-#usr/lib/python2.7/distutils/tests/test_util.py
-#usr/lib/python2.7/distutils/tests/test_util.pyc
-#usr/lib/python2.7/distutils/tests/test_util.pyo
-#usr/lib/python2.7/distutils/tests/test_version.py
-#usr/lib/python2.7/distutils/tests/test_version.pyc
-#usr/lib/python2.7/distutils/tests/test_version.pyo
-#usr/lib/python2.7/distutils/tests/test_versionpredicate.py
-#usr/lib/python2.7/distutils/tests/test_versionpredicate.pyc
-#usr/lib/python2.7/distutils/tests/test_versionpredicate.pyo
-usr/lib/python2.7/distutils/text_file.py
-usr/lib/python2.7/distutils/text_file.pyc
-#usr/lib/python2.7/distutils/text_file.pyo
-usr/lib/python2.7/distutils/unixccompiler.py
-usr/lib/python2.7/distutils/unixccompiler.pyc
-#usr/lib/python2.7/distutils/unixccompiler.pyo
-usr/lib/python2.7/distutils/util.py
-usr/lib/python2.7/distutils/util.pyc
-#usr/lib/python2.7/distutils/util.pyo
-usr/lib/python2.7/distutils/version.py
-usr/lib/python2.7/distutils/version.pyc
-#usr/lib/python2.7/distutils/version.pyo
-usr/lib/python2.7/distutils/versionpredicate.py
-usr/lib/python2.7/distutils/versionpredicate.pyc
-#usr/lib/python2.7/distutils/versionpredicate.pyo
diff --git a/lfs/python-distutils b/lfs/python-distutils
deleted file mode 100644
index 969bfecd3..000000000
--- a/lfs/python-distutils
+++ /dev/null
@@ -1,37 +0,0 @@
-###############################################################################
-#                                                                             #
-# IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
-#                                                                             #
-# This program is free software: you can redistribute it and/or modify        #
-# it under the terms of the GNU General Public License as published by        #
-# the Free Software Foundation, either version 3 of the License, or           #
-# (at your option) any later version.                                         #
-#                                                                             #
-# This program is distributed in the hope that it will be useful,             #
-# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
-# GNU General Public License for more details.                                #
-#                                                                             #
-# You should have received a copy of the GNU General Public License           #
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
-#                                                                             #
-###############################################################################
-
-###############################################################################
-# Definitions
-###############################################################################
-
-include Config
-
-VER	   = 2.7.1
-
-include python
-
-PROG	   = python-distutils
-PAK_VER    = 2
-DEPS       =
-
-dist: 
-	@$(PAK)
-