diff --git a/libICE/libICE.nm b/libICE/libICE.nm
deleted file mode 100644
index 0607f0a5c..000000000
--- a/libICE/libICE.nm
+++ /dev/null
@@ -1,43 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = libICE
-version    = 1.0.9
-release    = 1
-
-maintainer = Stefan Schantl <stefan.schantl@ipfire.org>
-groups     = X/Libraries
-url        = http://www.x.org/
-license    = MIT
-summary    = X.Org X11 libICE runtime library.
-
-description
-	X.Org X11 libICE development package.
-end
-
-source_dl  = http://ftp.x.org/pub/individual/lib/
-
-build
-	requires
-		pkg-config
-		xorg-x11-proto-devel
-		xorg-x11-xtrans-devel
-	end
-
-	configure_options += \
-		--disable-static
-end
-
-packages
-	package %{name}
-
-	package %{name}-devel
-		template DEVEL
-	end
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/libSM/libSM.nm b/libSM/libSM.nm
deleted file mode 100644
index 8f0bcb8b7..000000000
--- a/libSM/libSM.nm
+++ /dev/null
@@ -1,44 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = libSM
-version    = 1.2.2
-release    = 1
-
-maintainer = Stefan Schantl <stefan.schantl@ipfire.org>
-groups     = X/Libraries
-url        = http://www.x.org/
-license    = MIT
-summary    = X.Org X11 libSM runtime library.
-
-description
-	X.Org X11 libSM development package.
-end
-
-source_dl  = http://ftp.x.org/pub/individual/lib/
-
-build
-	requires
-		libICE-devel
-		libuuid-devel
-		xorg-x11-proto-devel
-		xorg-x11-xtrans-devel
-	end
-
-	configure_options += \
-		--disable-static
-end
-
-packages
-	package %{name}
-
-	package %{name}-devel
-		template DEVEL
-	end
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/libfontenc/libfontenc.nm b/libfontenc/libfontenc.nm
deleted file mode 100644
index 25577a0a1..000000000
--- a/libfontenc/libfontenc.nm
+++ /dev/null
@@ -1,43 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = libfontenc
-version    = 1.1.3
-release    = 1
-
-maintainer = Stefan Schantl <stefan.schantl@ipfire.org>
-groups     = X/Libraries
-url        = http://www.x.org/
-license    = MIT
-summary    = X.Org X11 libfontenc runtime library.
-
-description
-	X.Org X11 libfontenc runtime library.
-end
-
-source_dl  = http://ftp.x.org/pub/individual/lib/
-
-build
-	requires
-		pkg-config
-		xorg-x11-proto-devel
-		zlib-devel
-	end
-
-	configure_options += \
-		--disable-static
-end
-
-packages
-	package %{name}
-
-	package %{name}-devel
-		template DEVEL
-	end
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/libxkbfile/libxkbfile.nm b/libxkbfile/libxkbfile.nm
deleted file mode 100644
index 61c7119ee..000000000
--- a/libxkbfile/libxkbfile.nm
+++ /dev/null
@@ -1,40 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = libxkbfile
-version    = 1.0.8
-release    = 1
-
-maintainer = Stefan Schantl <stefan.schantl@ipfire.org>
-groups     = X/Libraries
-url        = http://www.x.org
-license    = MIT
-summary    = X.Org X11 libxkbfile runtime library.
-
-description
-	X.Org X11 libxkbfile runtime library.
-end
-
-source_dl  = http://ftp.x.org/pub/individual/lib/
-
-build
-	requires
-		libX11-devel
-		pkg-config
-		xorg-x11-proto-devel
-	end
-end
-
-packages
-	package %{name}
-
-	package %{name}-devel
-		template DEVEL
-	end
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/makedepend/makedepend.nm b/makedepend/makedepend.nm
deleted file mode 100644
index 7eca2cbbd..000000000
--- a/makedepend/makedepend.nm
+++ /dev/null
@@ -1,35 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = makedepend
-version    = 1.0.4
-release    = 1
-
-groups     = Development/Tools
-url        = http://www.x.org
-license    = MIT
-summary    = makedepend - create dependencies in makefiles.
-
-description
-	Makedepend automatically creates dependencies in makefiles.
-end
-
-source_dl  = ftp://ftp.x.org/pub/individual/util/
-
-build
-	requires
-		pkg-config
-		xorg-x11-util-macros
-		xorg-x11-proto-devel
-	end
-end
-
-packages
-	package %{name}
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/xcb-proto/xcb-proto.nm b/xcb-proto/xcb-proto.nm
deleted file mode 100644
index bddbaa098..000000000
--- a/xcb-proto/xcb-proto.nm
+++ /dev/null
@@ -1,39 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = xcb-proto
-version    = 1.11
-release    = 1
-arch       = noarch
-
-maintainer = Stefan Schantl <stefan.schantl@ipfire.org>
-groups     = X/Headers
-url        = http://xcb.freedesktop.org/
-license    = MIT
-summary    = XCB protocol descriptions.
-
-description
-	XCB is a project to enable efficient language bindings to the X11
-	protocol. This package contains the protocol descriptions themselves.
-	Language bindings use these protocol descriptions to generate code for		marshalling the protocol.
-end
-
-source_dl  = http://xcb.freedesktop.org/dist/
-
-build
-	requires
-		pkg-config
-		python-devel
-	end
-
-	# Place the .pc files in /usr/share so they
-	# can be found on all architectures where libdir != /usr/lib.
-	configure_options += \
-		--libdir=%{datadir}
-end
-
-packages
-	package %{name}
-end
diff --git a/xkeyboard-config/xkeyboard-config.nm b/xkeyboard-config/xkeyboard-config.nm
deleted file mode 100644
index 504b7e8f7..000000000
--- a/xkeyboard-config/xkeyboard-config.nm
+++ /dev/null
@@ -1,48 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = xkeyboard-config
-version    = 1.9
-release    = 1
-arch       = noarch
-
-maintainer = Stefan Schantl <stefan.schantl@ipfire.org>
-groups     = X/Utils
-url        = http://www.x.org/
-license    = MIT
-summary    = X Keyboard Extension configuration data.
-
-description
-	This package contains configuration data used by the X Keyboard
-	Extension (XKB), which allows selection of keyboard layouts when
-	using a graphical interface.
-end
-
-source_dl  = http://ftp.x.org/pub/individual/data/
-sources    = %{thisapp}.tar.bz2
-
-build
-	requires
-		gettext
-		intltool
-		pkg-config
-		perl-XML-Parser
-		xorg-x11-util-macros
-		xorg-x11-xkb-utils
-	end
-
-	configure_options += \
-		--disable-static \
-		--with-xkb-base=/usr/share/X11/xkb \
-		--disable-xkbcomp-symlink \
-		--with-xkb-rules-symlink=xorg
-
-	make_install_targets += INSTALL="install -p"
-end
-
-packages
-	package %{name}
-	end
-end