diff --git a/freeradius/freeradius.nm b/freeradius/freeradius.nm
deleted file mode 100644
index eec0ec21e..000000000
--- a/freeradius/freeradius.nm
+++ /dev/null
@@ -1,161 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = freeradius
-version    = 2.1.12
-release    = 4
-thisapp    = %{name}-server-%{version}
-
-groups     = System/Daemons
-url        = http://www.freeradius.org
-license    = GPLv2+ and LGPLv2+
-summary    = High-performance and highly configurable free RADIUS server.
-
-description
-	The FreeRADIUS Server Project is a high performance and highly
-	configurable GPL'd free RADIUS server.
-	FreeRADIUS is an Internet authentication daemon, which implements
-	the RADIUS protocol, as defined in RFC 2865. It allows
-	Network Access Servers to perform authentication for dial-up users.
-end
-
-source_dl  = ftp://ftp.freeradius.org/pub/freeradius/
-
-build
-	requires
-		gdbm-devel
-		libpcap-devel
-		libtool
-		libtool-devel
-		openssl-devel
-		perl
-		shadow-utils
-	end
-
-	PARALLELISMFLAGS = # Disabled
-
-	configure_options +=\
-		%{CONFIGURE_ARCH} \
-		--libdir=%{libdir}/freeradius \
-		--with-system-libtool \
-		--with-threads \
-		--with-thread-pool \
-		--disable-ltdl-install \
-		--with-gnu-ld \
-		--without-rlm_eap_ikev2 \
-		--without-rlm_sql_iodbc \
-		--without-rlm_sql_firebird \
-		--without-rlm_sql_db2 \
-		--without-rlm_sql_oracle
-
-	prepare_cmds
-		%{create_user}
-	end
-
-	make_build_targets = LINK_MODE=-pie
-
-	install
-		make install R=%{BUILDROOT}
-
-		# Change freeradius user and group.
-		perl -i -pe 's/^#user =.*$/user = radiusd/' %{BUILDROOT}/etc/raddb/radiusd.conf
-		perl -i -pe 's/^#group =.*$/group = radiusd/' %{BUILDROOT}/etc/raddb/radiusd.conf
-
-		# Create emty logfiles.
-		mkdir -pv %{BUILDROOT}/var/log/radius/radacct
-		touch %{BUILDROOT}/var/log/radius/{radutmp,radius.log}
-		chown -Rv radiusd.radiusd %{BUILDROOT}/var/log/radius/
-
-		# Create tmpfiles folder.
-		mkdir -pv %{BUILDROOT}/run/radiusd
-		chown -Rv radiusd.radiusd %{BUILDROOT}/run/radiusd/
-
-		# Remove unneeded stuff.
-		rm -vf %{BUILDROOT}/usr/sbin/rc.radiusd
-		rm -rvf %{BUILDROOT}/etc/raddb/sql/
-		rm -rvf %{BUILDROOT}/var/run/
-
-		# Remove header files, we don't ship a devel package.
-		rm -rvf %{BUILDROOT}/usr/include/
-
-		# remove unsupported config file.
-		rm -vf %{BUILDROOT}/etc/raddb/experimental.conf
-
-		# Fix permissions.
-		chown -Rv root.radiusd %{BUILDROOT}/etc/raddb
-	end
-end
-
-create_user
-	getent group radiusd >/dev/null || /usr/sbin/groupadd -r radiusd
-	getent passwd radiusd >/dev/null || /usr/sbin/useradd -r -g radiusd \
-		-d /var/lib/radiusd -s /sbin/nologin radiusd
-end
-
-quality-agent
-	whitelist_rpath
-		%{libdir}/freeradius
-	end
-end
-
-packages
-	package %{name}
-		configfiles
-			/etc/raddb/radiusd.conf
-		end
-
-		prerequires
-			shadow-utils
-			systemd-units
-		end
-
-		script prein
-			%{create_user}
-		end
-
-		script postin
-			/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-		end
-
-		script preun
-			/bin/systemctl --no-reload disable freeradius.service >/dev/null 2>&1 || :
-			/bin/systemctl stop freeradius.service >/dev/null 2>&1 || :
-		end
-
-		script postup
-			/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-			/bin/systemctl try-restart freeradius.service >/dev/null 2>&1 || :
-		end
-	end
-
-	package freeradius-utils
-		summary = FreeRADIUS utilities.
-		description
-			Additional utilities to configure and manage FreeRADUIS
-			Servers.
-		end
-
-		files
-			/usr/bin/*
-			/usr/share/man/man1/radclient.1
-			/usr/share/man/man1/radeapclient.1
-			/usr/share/man/man1/radlast.1
-			/usr/share/man/man1/radtest.1
-			/usr/share/man/man1/radwho.1
-			/usr/share/man/man1/radzap.1
-			/usr/share/man/man1/smbencrypt.1
-			/usr/share/man/man5/checkrad.5
-			/usr/share/man/man8/radconf2xml.8
-			/usr/share/man/man8/radcrypt.8
-			/usr/share/man/man8/radsniff.8
-			/usr/share/man/man8/radsqlrelay.8
-			/usr/share/man/man8/rlm_ippool_tool.8
-		end
-	end
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/freeradius/freeradius.pam b/freeradius/freeradius.pam
deleted file mode 100644
index fff323801..000000000
--- a/freeradius/freeradius.pam
+++ /dev/null
@@ -1,6 +0,0 @@
-#%PAM-1.0
-auth       include	system-auth
-account    required	pam_nologin.so
-account    include	system-auth
-password   include	system-auth
-session    include	system-auth
diff --git a/freeradius/freeradius.tmpfiles b/freeradius/freeradius.tmpfiles
deleted file mode 100644
index 613d00892..000000000
--- a/freeradius/freeradius.tmpfiles
+++ /dev/null
@@ -1,2 +0,0 @@
-d /run/radiusd 0750 radiusd radiusd
-
diff --git a/freeradius/logrotate/freeradius b/freeradius/logrotate/freeradius
deleted file mode 100644
index 8c5c6fbba..000000000
--- a/freeradius/logrotate/freeradius
+++ /dev/null
@@ -1,56 +0,0 @@
-# You can use this to rotate the /var/log/radius/* files, simply copy
-# it to /etc/logrotate.d/radiusd
-
-# There are different detail-rotating strategies you can use.  One is
-# to write to a single detail file per IP and use the rotate config
-# below.  Another is to write to a daily detail file per IP with:
-#     detailfile = ${radacctdir}/%{Client-IP-Address}/%Y%m%d-detail
-# (or similar) in radiusd.conf, without rotation.  If you go with the
-# second technique, you will need another cron job that removes old
-# detail files.  You do not need to comment out the below for method #2.
-/var/log/radius/radacct/*/detail {
-	monthly
-	rotate 4
-	nocreate
-	missingok
-	compress
-}
-
-/var/log/radius/checkrad.log {
-	monthly
-	rotate 4
-	create
-	missingok
-	compress
-}
-
-/var/log/radius/radius.log {
-	monthly
-	rotate 4
-	create
-	missingok
-	compress
-}
-
-/var/log/radius/radutmp {
-	monthly
-	rotate 4
-	create
-	compress
-	missingok
-}
-
-/var/log/radius/radwtmp {
-	monthly
-	rotate 4
-	create
-	compress
-	missingok
-}
-/var/log/radius/sqltrace.sql {
-        monthly
-        rotate 4
-        create
-        compress
-        missingok
-}
diff --git a/freeradius/patches/freeradius-cert-config.patch b/freeradius/patches/freeradius-cert-config.patch
deleted file mode 100644
index 9967a152e..000000000
--- a/freeradius/patches/freeradius-cert-config.patch
+++ /dev/null
@@ -1,62 +0,0 @@
-diff -r -u freeradius-server-2.1.12.orig/raddb/certs/ca.cnf freeradius-server-2.1.12/raddb/certs/ca.cnf
---- freeradius-server-2.1.12.orig/raddb/certs/ca.cnf	2011-09-07 06:59:21.000000000 -0400
-+++ freeradius-server-2.1.12/raddb/certs/ca.cnf	2011-09-07 10:28:28.000000000 -0400
-@@ -14,9 +14,9 @@
- RANDFILE		= $dir/.rand
- name_opt		= ca_default
- cert_opt		= ca_default
--default_days		= 365
-+default_days		= 60
- default_crl_days	= 30
--default_md		= md5
-+default_md		= sha1
- preserve		= no
- policy			= policy_match
- 
-diff -r -u freeradius-server-2.1.12.orig/raddb/certs/client.cnf freeradius-server-2.1.12/raddb/certs/client.cnf
---- freeradius-server-2.1.12.orig/raddb/certs/client.cnf	2011-09-07 06:59:21.000000000 -0400
-+++ freeradius-server-2.1.12/raddb/certs/client.cnf	2011-09-07 10:28:28.000000000 -0400
-@@ -14,9 +14,9 @@
- RANDFILE		= $dir/.rand
- name_opt		= ca_default
- cert_opt		= ca_default
--default_days		= 365
-+default_days		= 60
- default_crl_days	= 30
--default_md		= md5
-+default_md		= sha1
- preserve		= no
- policy			= policy_match
- 
-diff -r -u freeradius-server-2.1.12.orig/raddb/certs/server.cnf freeradius-server-2.1.12/raddb/certs/server.cnf
---- freeradius-server-2.1.12.orig/raddb/certs/server.cnf	2011-09-07 06:59:21.000000000 -0400
-+++ freeradius-server-2.1.12/raddb/certs/server.cnf	2011-09-07 10:28:28.000000000 -0400
-@@ -14,9 +14,9 @@
- RANDFILE		= $dir/.rand
- name_opt		= ca_default
- cert_opt		= ca_default
--default_days		= 365
-+default_days		= 60
- default_crl_days	= 30
--default_md		= md5
-+default_md		= sha1
- preserve		= no
- policy			= policy_match
- 
-diff -r -u freeradius-server-2.1.12.orig/raddb/eap.conf freeradius-server-2.1.12/raddb/eap.conf
---- freeradius-server-2.1.12.orig/raddb/eap.conf	2011-09-07 06:59:21.000000000 -0400
-+++ freeradius-server-2.1.12/raddb/eap.conf	2011-09-07 10:28:28.000000000 -0400
-@@ -281,7 +281,11 @@
- 			# for the server to print out an error message,
- 			# and refuse to start.
- 			#
--			make_cert_command = "${certdir}/bootstrap"
-+			# Redhat RPM's run the bootstrap certificate creation
-+			# as part of the RPM install (not upgrade), therefore
-+			# the make_cert_command is commented out.
-+			#
-+			#make_cert_command = "${certdir}/bootstrap"
- 
- 			#
- 			#  Elliptical cryptography configuration
-Only in freeradius-server-2.1.12/raddb: eap.conf.orig
diff --git a/freeradius/systemd/freeradius.service b/freeradius/systemd/freeradius.service
deleted file mode 100644
index 4f86f2140..000000000
--- a/freeradius/systemd/freeradius.service
+++ /dev/null
@@ -1,14 +0,0 @@
-[Unit]
-Description=FreeRADIUS Server
-After=network.target
-
-[Service]
-ExecStartPre=/etc/raddb/certs/bootstrap
-ExecStartPre=/usr/sbin/radiusd -C
-ExecStart=/usr/sbin/radiusd -f -d /etc/raddb
-ExecReload=/usr/sbin/radiusd -C
-ExecReload=/bin/kill -HUP $MAINPID
-
-[Install]
-WantedBy=multi-user.target
-