diff --git a/linux-atm/linux-atm.nm b/linux-atm/linux-atm.nm
deleted file mode 100644
index 4b3ac47ba..000000000
--- a/linux-atm/linux-atm.nm
+++ /dev/null
@@ -1,55 +0,0 @@
-###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
-###############################################################################
-
-name       = linux-atm
-version    = 2.5.1
-release    = 2
-
-groups     = System/Daemons
-url        = http://linux-atm.sourceforge.net/
-license    = BSD and GPLv2 and GPLv2+ and LGPLv2+ and MIT
-summary    = Tools to support ATM networking under Linux.
-
-description
-	This package contains header files and libraries for development \
-	using theLinux ATM API.
-end
-
-sources    = %{thisapp}.tgz
-source_dl  = http://downloads.sf.net/%{name}/
-
-build
-	requires
-		bison
-		flex
-		flex-devel
-		kernel-headers
-		perl
-	end
-
-	prepare_cmds
-		sed -e "s/-lfl/&_pic/g" -i src/*{,/*}/Makefile.in
-	end
-
-	PARALLELISMFLAGS =
-end
-
-packages
-	package %{name}
-
-	package %{name}-libs
-		template LIBS
-	end
-
-	package %{name}-devel
-		template DEVEL
-
-		requires += %{name}-libs = %{thisver}
-	end
-
-	package %{name}-debuginfo
-		template DEBUGINFO
-	end
-end
diff --git a/linux-atm/patches/linux-arm-gcc43.patch b/linux-atm/patches/linux-arm-gcc43.patch
deleted file mode 100644
index 9d9c5cd0e..000000000
--- a/linux-atm/patches/linux-arm-gcc43.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -rNu linux-atm-2.5.0/src/led/main.c linux-atm-2.5.0-atomix/src/led/main.c
---- linux-atm-2.5.0/src/led/main.c	2005-10-06 19:27:50.000000000 +0200
-+++ linux-atm-2.5.0-atomix/src/led/main.c	2008-04-18 12:14:21.000000000 +0200
-@@ -36,6 +36,7 @@
- #include <sys/time.h>
- #include <unistd.h>
- #include <signal.h>
-+#include <limits.h>
- #include <ctype.h>
- #include <string.h>
- #include <getopt.h>
diff --git a/linux-atm/patches/linux-atm-2.5.0-disable-ilmidiag.patch b/linux-atm/patches/linux-atm-2.5.0-disable-ilmidiag.patch
deleted file mode 100644
index c420be9c5..000000000
--- a/linux-atm/patches/linux-atm-2.5.0-disable-ilmidiag.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- linux-atm/src/ilmid/Makefile.am~	2007-07-11 17:07:57.000000000 +0100
-+++ linux-atm/src/ilmid/Makefile.am	2007-08-23 09:22:45.000000000 +0100
-@@ -2,7 +2,7 @@ SUBDIRS = asn1
- 
- INCLUDES = -I$(srcdir)/../ilmid/asn1
- 
--sbin_PROGRAMS = ilmid ilmidiag
-+sbin_PROGRAMS = ilmid
- 
- ilmid_SOURCES = rfc1157_snmp.c rfc1157_snmp.h rfc1155_smi.c rfc1155_smi.h \
- 			util.c util.h io.c io.h message.c message.h \
diff --git a/linux-atm/patches/linux-atm-2.5.0-open-macro.patch b/linux-atm/patches/linux-atm-2.5.0-open-macro.patch
deleted file mode 100644
index 928222fa2..000000000
--- a/linux-atm/patches/linux-atm-2.5.0-open-macro.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- linux-atm/src/maint/atmtcp.c~	2007-08-22 14:59:21.000000000 +0100
-+++ linux-atm/src/maint/atmtcp.c	2007-08-22 18:27:24.000000000 +0100
-@@ -109,7 +109,7 @@ static void control(int in_link,struct a
- 	switch (msg->type) {
- 	    case ATMTCP_CTRL_OPEN:
- 		if (out->ops->open)
--		    changed += out->ops->open(out,in_link,msg);
-+		    changed += (out->ops->open)(out,in_link,msg);
- 		break;
- 	    case ATMTCP_CTRL_CLOSE:
- 		if (out->ops->close)
diff --git a/linux-atm/patches/man-pages.patch b/linux-atm/patches/man-pages.patch
deleted file mode 100644
index c504cfe87..000000000
--- a/linux-atm/patches/man-pages.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-diff -up linux-atm-2.5.1/src/led/zeppelin.8.fixman linux-atm-2.5.1/src/led/zeppelin.8
---- linux-atm-2.5.1/src/led/zeppelin.8.fixman	2003-05-02 19:35:04.000000000 +0200
-+++ linux-atm-2.5.1/src/led/zeppelin.8	2010-10-13 12:58:18.000000000 +0200
-@@ -99,7 +99,7 @@ Ring and ATM parts of the ELAN, so using
- recommended. Token Ring support has received less testing than its
- Ethernet counterpart.
- .SH FILES
--.IP \fI/var/run/lec[interface number].pid\fP
-+\fI/var/run/lec[interface number].pid\fP
- The file containing the process id of zeppelin.
- .SH BUGS
- John Bonham died 1980 and Led Zeppelin broke.
-diff -up linux-atm-2.5.1/src/mpoad/mpcd.8.fixman linux-atm-2.5.1/src/mpoad/mpcd.8
---- linux-atm-2.5.1/src/mpoad/mpcd.8.fixman	2001-10-10 00:33:07.000000000 +0200
-+++ linux-atm-2.5.1/src/mpoad/mpcd.8	2010-10-13 12:59:14.000000000 +0200
-@@ -28,7 +28,7 @@ mpcd \- ATM MPOA (Multi\-Protocol Over A
- .B ]]
- .SH DESCRIPTION
- MPOA client
--.SM(MPC) is responsible for creating and receiving
-+.SM (MPC) is responsible for creating and receiving
- internetwork layer shortcuts. Using these shortcuts MPCs forward
- unicast internetwork layer packets effectively over ATM without need
- for routing protocols.
-@@ -43,7 +43,7 @@ accepts shortcuts and packets arriving o
- shortcuts is done with the help of
- .SM MPOA
- server
--.SM(MPS).
-+.SM (MPS).
- .PP
- Just as the Linux
- .SM LAN
-diff -up linux-atm-2.5.1/src/sigd/atmsigd.conf.4.fixman linux-atm-2.5.1/src/sigd/atmsigd.conf.4
---- linux-atm-2.5.1/src/sigd/atmsigd.conf.4.fixman	2001-10-10 00:33:07.000000000 +0200
-+++ linux-atm-2.5.1/src/sigd/atmsigd.conf.4	2010-10-13 12:58:49.000000000 +0200
-@@ -125,7 +125,7 @@ a comment. The `#' character cannot be e
- .P
- If an option is specified in \fBatmsigd.conf\fP and on the command
- line, the command line has priority.
--.COMPATIBILITY
-+.SH COMPATIBILITY
- Certain options used by past versions of \fBatmsigd\fP but no longer documented
- on the man page are still recognized and supported, but they also yield a
- warning message. Future versions of \fBatmsigd\fP will not recognize those