diff --git a/config/rootfiles/packages/python3-attr b/config/rootfiles/packages/python3-attr
deleted file mode 100644
index 138a4c08c..000000000
--- a/config/rootfiles/packages/python3-attr
+++ /dev/null
@@ -1,7 +0,0 @@
-#usr/lib/python3.10/site-packages/attr-0.3.2-py3.10.egg-info
-#usr/lib/python3.10/site-packages/attr-0.3.2-py3.10.egg-info/PKG-INFO
-#usr/lib/python3.10/site-packages/attr-0.3.2-py3.10.egg-info/SOURCES.txt
-#usr/lib/python3.10/site-packages/attr-0.3.2-py3.10.egg-info/dependency_links.txt
-#usr/lib/python3.10/site-packages/attr-0.3.2-py3.10.egg-info/top_level.txt
-usr/lib/python3.10/site-packages/attr.py
-usr/lib/python3.10/site-packages/dry_attr.py
diff --git a/lfs/python3-attr b/lfs/python3-attr
deleted file mode 100644
index 1be4d2b0c..000000000
--- a/lfs/python3-attr
+++ /dev/null
@@ -1,86 +0,0 @@
-###############################################################################
-#                                                                             #
-# IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
-#                                                                             #
-# This program is free software: you can redistribute it and/or modify        #
-# it under the terms of the GNU General Public License as published by        #
-# the Free Software Foundation, either version 3 of the License, or           #
-# (at your option) any later version.                                         #
-#                                                                             #
-# This program is distributed in the hope that it will be useful,             #
-# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
-# GNU General Public License for more details.                                #
-#                                                                             #
-# You should have received a copy of the GNU General Public License           #
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
-#                                                                             #
-###############################################################################
-
-###############################################################################
-# Definitions
-###############################################################################
-
-include Config
-
-VER        = 0.3.2
-SUMMARY    = Simple decorator to set attributes of target function or class in a DRY way
-
-THISAPP    = attr-$(VER)
-DL_FILE    = $(THISAPP).tar.gz
-DL_FROM    = $(URL_IPFIRE)
-DIR_APP    = $(DIR_SRC)/$(THISAPP)
-TARGET     = $(DIR_INFO)/$(THISAPP)
-PROG       = python3-attr
-PAK_VER    = 1
-
-DEPS       = 
-
-SERVICES   =
-
-###############################################################################
-# Top-level Rules
-###############################################################################
-
-objects = $(DL_FILE)
-
-$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
-
-$(DL_FILE)_BLAKE2 = 7e2b145d6d416bc634a70ae7e88d1dc1e2bc65efa6163d53446de8942511768247439078df8fb3d51966b482a3b8603d4becfed6ccf365aea1b3156ba638ac6f
-
-install : $(TARGET)
-
-check : $(patsubst %,$(DIR_CHK)/%,$(objects))
-
-download :$(patsubst %,$(DIR_DL)/%,$(objects))
-
-b2 : $(subst %,%_BLAKE2,$(objects))
-
-dist:
-	@$(PAK)
-
-###############################################################################
-# Downloading, checking, b2sum
-###############################################################################
-
-$(patsubst %,$(DIR_CHK)/%,$(objects)) :
-	@$(CHECK)
-
-$(patsubst %,$(DIR_DL)/%,$(objects)) :
-	@$(LOAD)
-
-$(subst %,%_BLAKE2,$(objects)) :
-	@$(B2SUM)
-
-###############################################################################
-# Installation Details
-###############################################################################
-
-$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
-	@$(PREBUILD)
-	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && python3 setup.py build
-	cd $(DIR_APP) && python3 setup.py install --root=/
-	@rm -rf $(DIR_APP)
-	@$(POSTBUILD)